Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.ear
[Java] Class EarPlugin

    java.lang.Object
      org.gradle.plugins.ear.EarPlugin

All Implemented Interfaces:
  Plugin

    public class EarPlugin

A Plugin with tasks which assemble a web application into a EAR file.

Field Summary
`static String` | `DEPLOY_CONFIGURATION_NAME`
`static String` | `EARLIB_CONFIGURATION_NAME`
`static String` | `EAR_TASK_NAME`

Constructor Summary
`EarPlugin(Instantiator instantiator, FileResolver fileResolver)`

Method Summary
`void` | `apply(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### DEPLOY_CONFIGURATION_NAME

    public static final String DEPLOY_CONFIGURATION_NAME

### EARLIB_CONFIGURATION_NAME

    public static final String EARLIB_CONFIGURATION_NAME

### EAR_TASK_NAME

    public static final String EAR_TASK_NAME

Constructor Detail

### EarPlugin

    @Inject
    public EarPlugin(Instantiator instantiator, FileResolver fileResolver)

Method Detail

### apply

    public void apply(Project project)

Gradle API 1.10